Index: .gitignore
===================================================================
--- .gitignore	(revision 79ae62142b33ae03175dade171a7f5e23c1424dc)
+++ .gitignore	(revision 81e1ed63dc82abe5e83cc7f2a71c977a8d12dec6)
@@ -284,5 +284,2 @@
 *.xsd.cs
 .terraform
-
-# mac os
-*.DS_Store
Index: src/Clients/Angular/finki-chattery/src/app/app-routing.module.ts
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/app-routing.module.ts	(revision 79ae62142b33ae03175dade171a7f5e23c1424dc)
+++ src/Clients/Angular/finki-chattery/src/app/app-routing.module.ts	(revision 81e1ed63dc82abe5e83cc7f2a71c977a8d12dec6)
@@ -1,20 +1,13 @@
 import { NgModule } from '@angular/core';
 import { Routes, RouterModule } from '@angular/router';
-import { AuthCallbackComponent } from './auth-callback/auth-callback.component';
-import { AuthorizedGuard } from './core/guards/authorized.guard';
 
 const routes: Routes = [
   {
-    path: 'auth-callback',
-    component: AuthCallbackComponent
+    path: '**',
+    redirectTo: 'public/home'
   },
   {
-    path: 'questioning',
-    canActivate: [AuthorizedGuard],
+    path: 'questions',
     loadChildren: () => import('./modules/questioning/questioning.module').then((x) => x.QuestioningModule)
-  },
-  {
-    path: '**',
-    redirectTo: 'questioning/preview'
   }
 ];
Index: src/Clients/Angular/finki-chattery/src/app/app.module.ts
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/app.module.ts	(revision 79ae62142b33ae03175dade171a7f5e23c1424dc)
+++ src/Clients/Angular/finki-chattery/src/app/app.module.ts	(revision 81e1ed63dc82abe5e83cc7f2a71c977a8d12dec6)
@@ -10,12 +10,13 @@
 import { CoreModule } from './core/core.module';
 import { translateConfiguration, TranslateFromJsonService } from './shared-app/services';
-import { AuthCallbackComponent } from './auth-callback/auth-callback.component';
+import { SharedMaterialModule } from './shared-material/shared-material.module';
 
 @NgModule({
-  declarations: [AppComponent, AuthCallbackComponent],
+  declarations: [AppComponent],
   imports: [
     BrowserModule,
     AppRoutingModule,
     CoreModule,
+    SharedMaterialModule,
     BrowserAnimationsModule,
     ToastrModule.forRoot(),
Index: src/Clients/Angular/finki-chattery/src/app/core/core.module.ts
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/core/core.module.ts	(revision 79ae62142b33ae03175dade171a7f5e23c1424dc)
+++ src/Clients/Angular/finki-chattery/src/app/core/core.module.ts	(revision 81e1ed63dc82abe5e83cc7f2a71c977a8d12dec6)
@@ -11,13 +11,12 @@
 import { GUARDS } from './guards/guards';
 import { LoaderInterceptor } from './interceptors/loader.interceptor';
+import { SERVICES } from './services/services';
 import { reducers } from './state';
 import { TokenInterceptor } from './interceptors/token.interceptor';
-import { EffectsModule } from '@ngrx/effects';
-import { QuestionEffects } from './state/question-state/question.effects';
-import { CategoriesEffects } from './state/category-state/category.effects';
 
 @NgModule({
   declarations: [COMPONENTS],
   providers: [
+    SERVICES,
     GUARDS,
     { provide: HTTP_INTERCEPTORS, useClass: LoaderInterceptor, multi: true },
@@ -34,8 +33,7 @@
       maxAge: 25,
       logOnly: !environment.production
-    }),
-    EffectsModule.forRoot([QuestionEffects, CategoriesEffects])
+    })
   ],
-  exports: [HttpClientModule, SharedAppModule, COMPONENTS]
+  exports: [HttpClientModule, COMPONENTS]
 })
 export class CoreModule {}
Index: src/Clients/Angular/finki-chattery/src/app/core/interceptors/token.interceptor.ts
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/core/interceptors/token.interceptor.ts	(revision 79ae62142b33ae03175dade171a7f5e23c1424dc)
+++ src/Clients/Angular/finki-chattery/src/app/core/interceptors/token.interceptor.ts	(revision 81e1ed63dc82abe5e83cc7f2a71c977a8d12dec6)
@@ -2,4 +2,5 @@
 import { HttpRequest, HttpHandler, HttpEvent, HttpInterceptor } from '@angular/common/http';
 import { Observable } from 'rxjs';
+import { switchMap } from 'rxjs/operators';
 
 import { AuthService } from '../services';
@@ -15,9 +16,12 @@
     }
 
-    const requestToForward = request.clone({
-      setHeaders: { Authorization: `Bearer ${this.auth.currentUserToken()}` }
-    });
-
-    return next.handle(requestToForward);
+    return this.auth.currentUserToken().pipe(
+      switchMap((token) => {
+        const requestToForward = request.clone({
+          setHeaders: { Authorization: `Bearer ${token}` }
+        });
+        return next.handle(requestToForward);
+      })
+    );
   }
 }
Index: src/Clients/Angular/finki-chattery/src/app/core/services/auth.service.ts
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/core/services/auth.service.ts	(revision 79ae62142b33ae03175dade171a7f5e23c1424dc)
+++ src/Clients/Angular/finki-chattery/src/app/core/services/auth.service.ts	(revision 81e1ed63dc82abe5e83cc7f2a71c977a8d12dec6)
@@ -1,5 +1,6 @@
 import { Injectable } from '@angular/core';
-import { User, UserManager } from 'oidc-client';
-import { Observable, of } from 'rxjs';
+import { UserManager } from 'oidc-client';
+import { Observable, from, of } from 'rxjs';
+import { map, switchMap } from 'rxjs/operators';
 
 import { environment } from '@env/environment';
@@ -14,12 +15,9 @@
     authority: environment.identityRoute,
     client_id: environment.identityClientId,
-    redirect_uri: `${window.location.origin}/auth-callback`,
+    redirect_uri: `${window.location.origin}`,
     response_type: 'id_token token',
     scope: 'openid app.api.finki-chattery profile',
     post_logout_redirect_uri: window.location.origin
   });
-
-  public user: ApplicationUser | null = null;
-  public oidcUser: User | null = null;
 
   constructor(private baseApi: BaseApiService) {}
@@ -33,41 +31,59 @@
   }
 
-  public isLoggedIn(): boolean {
-    if (this.oidcUser) {
-      return !this.oidcUser.expired;
-    }
-    return false;
+  public isLoggedIn(): Observable<boolean> {
+    return from(this.userManager.getUser()).pipe(
+      map((user) => {
+        if (user) {
+          return true;
+        }
+
+        return false;
+      })
+    );
   }
 
-  public currentUser(): ApplicationUser | null {
-    return this.user;
+  public currentUser(): Observable<ApplicationUser | null> {
+    return from(this.userManager.getUser()).pipe(
+      map((user) => {
+        if (!user) {
+          return null;
+        }
+
+        return new ApplicationUser(
+          user.profile.id,
+          user.profile.userType,
+          user.profile.emailAddress,
+          user.profile.username,
+          user.profile.isVerified
+        );
+      })
+    );
   }
 
-  public currentUserToken(): string {
-    if (this.oidcUser) {
-      return this.oidcUser.access_token;
-    }
+  public currentUserToken(): Observable<string> {
+    return from(this.userManager.getUser()).pipe(
+      map((user) => {
+        if (user?.access_token) {
+          return user.access_token;
+        }
 
-    return '';
+        return '';
+      })
+    );
   }
 
   public selfUserDto(): Observable<SelfUserResponse | null> {
-    if (this.isLoggedIn()) {
-      return this.baseApi.getSelfUser();
-    }
-    return of(null);
+    return this.isLoggedIn().pipe(
+      switchMap((loggedIn) => {
+        if (loggedIn) {
+          return this.baseApi.getSelfUser();
+        }
+        return of(null);
+      })
+    );
   }
 
-  public async completeAuthentication(): Promise<void> {
-    return await this.userManager.signinRedirectCallback().then((user: User) => {
-      this.oidcUser = user;
-      this.user = new ApplicationUser(
-        user.profile.id,
-        user.profile.userType,
-        user.profile.emailAddress,
-        user.profile.username,
-        user.profile.isVerified
-      );
-    });
+  public signupCallback(): Observable<boolean> {
+    return from(this.userManager.signinRedirectCallback()).pipe(map((user) => user !== null));
   }
 }
Index: src/Clients/Angular/finki-chattery/src/app/core/services/notification.service.ts
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/core/services/notification.service.ts	(revision 79ae62142b33ae03175dade171a7f5e23c1424dc)
+++ src/Clients/Angular/finki-chattery/src/app/core/services/notification.service.ts	(revision 81e1ed63dc82abe5e83cc7f2a71c977a8d12dec6)
@@ -22,8 +22,5 @@
 
   public successNotification(title: string, description?: string): void {
-    if (description) {
-      this.toastr.success(this.translate.instant(description), this.translate.instant(title));
-    }
-    this.toastr.success(this.translate.instant(title));
+    this.toastr.success(this.translate.instant(description), this.translate.instant(title));
   }
 }
Index: src/Clients/Angular/finki-chattery/src/app/core/services/redirect.service.ts
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/core/services/redirect.service.ts	(revision 79ae62142b33ae03175dade171a7f5e23c1424dc)
+++ src/Clients/Angular/finki-chattery/src/app/core/services/redirect.service.ts	(revision 81e1ed63dc82abe5e83cc7f2a71c977a8d12dec6)
@@ -1,4 +1,5 @@
 import { Injectable } from '@angular/core';
 import { Router } from '@angular/router';
+import { switchMap } from 'rxjs/operators';
 
 import { ApplicationUserType } from 'src/app/shared-app/models';
@@ -12,15 +13,17 @@
 
   public redirectLoggedInUser(): void {
-    const currentUser = this.auth.user;
-
-    if (currentUser) {
-      switch (currentUser.userType) {
-        case ApplicationUserType.Student:
-          this.router.navigateByUrl(`questioning/preview`);
-          break;
-        case ApplicationUserType.Teacher:
-          break;
-      }
-    }
+    this.auth
+      .signupCallback()
+      .pipe(switchMap(() => this.auth.currentUser()))
+      .subscribe((currentUser) => {
+        if (currentUser) {
+          switch (currentUser.userType) {
+            case ApplicationUserType.Student:
+              break;
+            case ApplicationUserType.Teacher:
+              break;
+          }
+        }
+      });
   }
 }
Index: src/Clients/Angular/finki-chattery/src/app/core/services/services.ts
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/core/services/services.ts	(revision 79ae62142b33ae03175dade171a7f5e23c1424dc)
+++ src/Clients/Angular/finki-chattery/src/app/core/services/services.ts	(revision 81e1ed63dc82abe5e83cc7f2a71c977a8d12dec6)
@@ -0,0 +1,1 @@
+export const SERVICES: any[] = [];
Index: src/Clients/Angular/finki-chattery/src/app/core/state/index.ts
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/core/state/index.ts	(revision 79ae62142b33ae03175dade171a7f5e23c1424dc)
+++ src/Clients/Angular/finki-chattery/src/app/core/state/index.ts	(revision 81e1ed63dc82abe5e83cc7f2a71c977a8d12dec6)
@@ -1,15 +1,5 @@
 import { ActionReducerMap } from '@ngrx/store';
-import { QuestionState } from './question-state/question.state';
-import { reducer as questionReducer } from './question-state/question.reducers';
-import { CategoryState } from './category-state/category.state';
-import { reducer as categoryReducer } from './category-state/category.reducers';
 
-export interface State {
-  question: QuestionState;
-  category: CategoryState;
-}
+export interface State {}
 
-export const reducers: ActionReducerMap<State, any> = {
-  question: questionReducer,
-  category: categoryReducer
-};
+export const reducers: ActionReducerMap<State, any> = {};
Index: src/Clients/Angular/finki-chattery/src/app/modules/questioning/components/questioning-components.ts
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/modules/questioning/components/questioning-components.ts	(revision 79ae62142b33ae03175dade171a7f5e23c1424dc)
+++ src/Clients/Angular/finki-chattery/src/app/modules/questioning/components/questioning-components.ts	(revision 81e1ed63dc82abe5e83cc7f2a71c977a8d12dec6)
@@ -1,13 +1,3 @@
-import { QuestionPreviewGeneralComponent } from './question-preview-general/question-preview-general.component';
-import { QuestioningGeneralComponent } from './questioning-general/questioning-general.component';
-import { QuestionsPreviewGeneralComponent } from './questions-preview-general/questions-preview-general.component';
-import { QuestionsSearchComponent } from './questions-search/questions-search.component';
 import { AskQuestionComponent } from './ask-question/ask-question.component';
 
-export const QUESTIONING_COMPONENTS: any[] = [
-  QuestionPreviewGeneralComponent,
-  QuestionsPreviewGeneralComponent,
-  QuestioningGeneralComponent,
-  QuestionsSearchComponent,
-  AskQuestionComponent
-];
+export const QUESTIONING_COMPONENTS: any[] = [AskQuestionComponent];
Index: src/Clients/Angular/finki-chattery/src/app/modules/questioning/questioning.routes.ts
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/modules/questioning/questioning.routes.ts	(revision 79ae62142b33ae03175dade171a7f5e23c1424dc)
+++ src/Clients/Angular/finki-chattery/src/app/modules/questioning/questioning.routes.ts	(revision 81e1ed63dc82abe5e83cc7f2a71c977a8d12dec6)
@@ -1,8 +1,4 @@
 import { NgModule } from '@angular/core';
 import { Routes, RouterModule } from '@angular/router';
-import { QuestionPreviewGeneralComponent } from './components/question-preview-general/question-preview-general.component';
-import { QuestioningGeneralComponent } from './components/questioning-general/questioning-general.component';
-import { QuestionsPreviewGeneralComponent } from './components/questions-preview-general/questions-preview-general.component';
-import { QuestionsSearchComponent } from './components/questions-search/questions-search.component';
 import { AuthorizedStudentGuard } from 'src/app/core/guards/authorized-student.guard';
 import { AskQuestionComponent } from './components/ask-question/ask-question.component';
@@ -10,28 +6,7 @@
 const routes: Routes = [
   {
-    component: QuestioningGeneralComponent,
-    path: '',
-    children: [
-      {
-        path: 'preview',
-        pathMatch: 'full',
-        component: QuestionsPreviewGeneralComponent
-      },
-      {
-        path: 'search',
-        pathMatch: 'full',
-        component: QuestionsSearchComponent
-      },
-      {
-        path: 'ask',
-        pathMatch: 'full',
-        component: AskQuestionComponent,
-        canActivate: [AuthorizedStudentGuard]
-      }
-      {
-        path: ':questionUid',
-        component: QuestionPreviewGeneralComponent
-      }
-    ]
+    path: 'ask',
+    component: AskQuestionComponent,
+    canActivate: [AuthorizedStudentGuard]
   }
 ];
Index: src/Clients/Angular/finki-chattery/src/app/shared-app/components/generic/components.ts
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/shared-app/components/generic/components.ts	(revision 81e1ed63dc82abe5e83cc7f2a71c977a8d12dec6)
+++ src/Clients/Angular/finki-chattery/src/app/shared-app/components/generic/components.ts	(revision 81e1ed63dc82abe5e83cc7f2a71c977a8d12dec6)
@@ -0,0 +1,5 @@
+import { ButtonComponent } from './button/button.component';
+import { FileUploadComponent } from './file-upload/file-upload.component';
+import { FormErrorComponent } from './form-error/form-error.component';
+
+export const COMPONENTS: any[] = [ButtonComponent, FormErrorComponent, FileUploadComponent];
Index: src/Clients/Angular/finki-chattery/src/app/shared-app/directives/directives.ts
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/shared-app/directives/directives.ts	(revision 79ae62142b33ae03175dade171a7f5e23c1424dc)
+++ src/Clients/Angular/finki-chattery/src/app/shared-app/directives/directives.ts	(revision 81e1ed63dc82abe5e83cc7f2a71c977a8d12dec6)
@@ -1,9 +1,3 @@
-import {
-  HandleInputFormErrorsDirective,
-  HoverElevationDirective,
-  LoaderDirective,
-  HandleSelectFormErrorsDirective,
-  ShareLinkDirective
-} from '.';
+import { HandleInputFormErrorsDirective, HoverElevationDirective, LoaderDirective, HandleSelectFormErrorsDirective } from '.';
 
 export const DIRECTIVES: any[] = [
@@ -11,5 +5,4 @@
   LoaderDirective,
   HoverElevationDirective,
-  HandleSelectFormErrorsDirective,
-  ShareLinkDirective
+  HandleSelectFormErrorsDirective
 ];
Index: src/Clients/Angular/finki-chattery/src/app/shared-app/directives/index.ts
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/shared-app/directives/index.ts	(revision 79ae62142b33ae03175dade171a7f5e23c1424dc)
+++ src/Clients/Angular/finki-chattery/src/app/shared-app/directives/index.ts	(revision 81e1ed63dc82abe5e83cc7f2a71c977a8d12dec6)
@@ -3,3 +3,2 @@
 export * from './hover-elevation.directive';
 export * from './handle-select-form-errors.directive';
-export * from './share-link.directive';
Index: src/Clients/Angular/finki-chattery/src/app/shared-app/models/index.ts
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/shared-app/models/index.ts	(revision 79ae62142b33ae03175dade171a7f5e23c1424dc)
+++ src/Clients/Angular/finki-chattery/src/app/shared-app/models/index.ts	(revision 81e1ed63dc82abe5e83cc7f2a71c977a8d12dec6)
@@ -1,6 +1,3 @@
 export * from './error.models';
 export * from './user.models';
-export * from './question-state-view-models.models';
-export * from './category-state-view-models.models';
-export * from './question-state-enums.models';
 export * from './categories.models';
Index: src/Clients/Angular/finki-chattery/src/app/shared-app/pipes/moment-date.pipe.ts
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/shared-app/pipes/moment-date.pipe.ts	(revision 79ae62142b33ae03175dade171a7f5e23c1424dc)
+++ src/Clients/Angular/finki-chattery/src/app/shared-app/pipes/moment-date.pipe.ts	(revision 81e1ed63dc82abe5e83cc7f2a71c977a8d12dec6)
@@ -6,5 +6,5 @@
 })
 export class MomentDatePipe implements PipeTransform {
-  transform(value: moment.Moment | undefined | null, dateFormat: string): any {
+  transform(value: moment.Moment, dateFormat: string): any {
     return moment(value).format(dateFormat);
   }
Index: src/Clients/Angular/finki-chattery/src/app/shared-app/services/translate-from-json.service.ts
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/shared-app/services/translate-from-json.service.ts	(revision 79ae62142b33ae03175dade171a7f5e23c1424dc)
+++ src/Clients/Angular/finki-chattery/src/app/shared-app/services/translate-from-json.service.ts	(revision 81e1ed63dc82abe5e83cc7f2a71c977a8d12dec6)
@@ -43,6 +43,9 @@
   }
 
-  public instant(key: string): string {
-    return this.translateService.instant(key);
+  public instant(key?: string): string | undefined {
+    if (key) {
+      return this.translateService.instant(key);
+    }
+    return undefined;
   }
 }
Index: src/Clients/Angular/finki-chattery/src/app/shared-app/shared-app.module.ts
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/shared-app/shared-app.module.ts	(revision 79ae62142b33ae03175dade171a7f5e23c1424dc)
+++ src/Clients/Angular/finki-chattery/src/app/shared-app/shared-app.module.ts	(revision 81e1ed63dc82abe5e83cc7f2a71c977a8d12dec6)
@@ -9,12 +9,14 @@
 import { EditorModule } from '@tinymce/tinymce-angular';
 
-import { COMPONENTS } from './components/components';
+import { COMPONENTS } from './components/generic/components';
 import { SharedMaterialModule } from '../shared-material/shared-material.module';
 import { DIRECTIVES } from './directives/directives';
 import { SERVICES } from './services/services';
 import { PIPES } from './pipes/pipes';
+import { FileUploadComponent } from './components/generic/file-upload/file-upload.component';
+import { HandleSelectFormErrorsDirective } from './directives/handle-select-form-errors.directive';
 
 @NgModule({
-  declarations: [COMPONENTS, DIRECTIVES, PIPES],
+  declarations: [COMPONENTS, DIRECTIVES, PIPES, FileUploadComponent, HandleSelectFormErrorsDirective],
   providers: [SERVICES],
   imports: [
Index: src/Clients/Angular/finki-chattery/src/app/shared-material/shared-material.module.ts
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/shared-material/shared-material.module.ts	(revision 79ae62142b33ae03175dade171a7f5e23c1424dc)
+++ src/Clients/Angular/finki-chattery/src/app/shared-material/shared-material.module.ts	(revision 81e1ed63dc82abe5e83cc7f2a71c977a8d12dec6)
@@ -20,9 +20,4 @@
 import { MatDatepickerModule } from '@angular/material/datepicker';
 import { MatNativeDateModule } from '@angular/material/core';
-import { MatChipsModule } from '@angular/material/chips';
-import { MatTooltipModule } from '@angular/material/tooltip';
-import { MatButtonToggleModule } from '@angular/material/button-toggle';
-import { MatBadgeModule } from '@angular/material/badge';
-
 @NgModule({
   imports: [
@@ -45,9 +40,5 @@
     MatTableModule,
     MatDatepickerModule,
-    MatNativeDateModule,
-    MatChipsModule,
-    MatTooltipModule,
-    MatButtonToggleModule,
-    MatBadgeModule
+    MatNativeDateModule
   ],
   exports: [
@@ -69,9 +60,5 @@
     MatTableModule,
     MatDatepickerModule,
-    MatNativeDateModule,
-    MatChipsModule,
-    MatTooltipModule,
-    MatButtonToggleModule,
-    MatBadgeModule
+    MatNativeDateModule
   ]
 })
Index: src/FinkiChattery/FinkiChattery.Api/Controllers/v1/QuestionsController.cs
===================================================================
--- src/FinkiChattery/FinkiChattery.Api/Controllers/v1/QuestionsController.cs	(revision 79ae62142b33ae03175dade171a7f5e23c1424dc)
+++ src/FinkiChattery/FinkiChattery.Api/Controllers/v1/QuestionsController.cs	(revision 81e1ed63dc82abe5e83cc7f2a71c977a8d12dec6)
@@ -1,12 +1,9 @@
 ﻿using FinkiChattery.Api.ApplicationServices.Authentication;
-using FinkiChattery.Api.ApplicationServices.Questioning;
 using FinkiChattery.Commands.Questioning;
 using FinkiChattery.Common.Mediator.Interfaces;
 using FinkiChattery.Contracts.Questioning;
-using FinkiChattery.Queries.Questioning;
 using IdentityServer4.AccessTokenValidation;
 using Microsoft.AspNetCore.Authorization;
 using Microsoft.AspNetCore.Mvc;
-using System;
 using System.Threading.Tasks;
 
@@ -32,28 +29,4 @@
             return Ok();
         }
-
-        [HttpGet("{questionUid:Guid}")]
-        [Authorize]
-        public async Task<IActionResult> GetQuestionState([FromRoute] Guid questionUid)
-        {
-            var questionDto = await MediatorService.SendQueryAsync(new GetQuestionStateQuery(questionUid));
-            return Ok(questionDto.ToQuestionStateResponse());
-        }
-
-        [HttpGet("preview")]
-        [Authorize]
-        public async Task<IActionResult> PreviewQuestions([FromQuery] GetPreviewQuestionsOrderEnum order)
-        {
-            var questions = await MediatorService.SendQueryAsync(new GetPreviewQuestionsQuery(order));
-            return Ok(questions.ToPreviewQuestionsResponse());
-        }
-
-        [HttpGet("search")]
-        [Authorize(AuthenticationSchemes = IdentityServerAuthenticationDefaults.AuthenticationScheme, Policy = AuthenticationPolicy.Student)]
-        public async Task<IActionResult> SearchQuestions([FromQuery] string searchText, [FromQuery] string categories)
-        {
-            var questions = await MediatorService.SendQueryAsync(new SearchQuestionsQuery(searchText, categories));
-            return Ok(questions.ToPreviewQuestionsResponse());
-        }
     }
 }
Index: src/FinkiChattery/FinkiChattery.Api/FinkiChattery.Api.csproj
===================================================================
--- src/FinkiChattery/FinkiChattery.Api/FinkiChattery.Api.csproj	(revision 79ae62142b33ae03175dade171a7f5e23c1424dc)
+++ src/FinkiChattery/FinkiChattery.Api/FinkiChattery.Api.csproj	(revision 81e1ed63dc82abe5e83cc7f2a71c977a8d12dec6)
@@ -3,5 +3,4 @@
   <PropertyGroup>
     <TargetFramework>netcoreapp3.1</TargetFramework>
-    <Configurations>Debug;Release;Debug_Docker</Configurations>
   </PropertyGroup>
 
@@ -27,5 +26,4 @@
     <ProjectReference Include="..\FinkiChattery.Contracts\FinkiChattery.Contracts.csproj" />
     <ProjectReference Include="..\FinkiChattery.Persistence\FinkiChattery.Persistence.csproj" />
-    <ProjectReference Include="..\FinkiChattery.Queries\FinkiChattery.Queries.csproj" />
   </ItemGroup>
 
Index: src/FinkiChattery/FinkiChattery.Api/Services/RegisterServices.cs
===================================================================
--- src/FinkiChattery/FinkiChattery.Api/Services/RegisterServices.cs	(revision 79ae62142b33ae03175dade171a7f5e23c1424dc)
+++ src/FinkiChattery/FinkiChattery.Api/Services/RegisterServices.cs	(revision 81e1ed63dc82abe5e83cc7f2a71c977a8d12dec6)
@@ -9,6 +9,4 @@
 using FinkiChattery.Persistence.Models;
 using FinkiChattery.Persistence.Repositories;
-using FinkiChattery.Persistence.UnitOfWork;
-using FinkiChattery.Queries.Questioning;
 using Hangfire;
 using Hangfire.SqlServer;
@@ -31,17 +29,12 @@
             services.AddScoped<IEventService, EventService>();
             services.AddTransient(typeof(IPipelineBehavior<,>), typeof(ValidationBehavior<,>));
-            services.AddMediatR(typeof(AskQuestionCommand), typeof(GetQuestionStateQuery));
+            services.AddMediatR(typeof(AskQuestionCommand));
         }
 
         public static void AddHangfireService(this IServiceCollection services, IConfiguration configuration)
         {
-            string connectionString = "HangfireConnection";
-#if DEBUG_DOCKER
-            connectionString = "HangfireConnectionDocker";
-#endif
-
             services.AddHangfire(x =>
             {
-                x.UseSqlServerStorage(configuration.GetConnectionString(connectionString), new SqlServerStorageOptions
+                x.UseSqlServerStorage(configuration.GetConnectionString("HangfireConnection"), new SqlServerStorageOptions
                 {
                     CommandBatchMaxTimeout = TimeSpan.FromMinutes(5),
@@ -107,7 +100,10 @@
         }
 
-        public static void AddUnitOfWork(this IServiceCollection services)
+        public static void AddRepos(this IServiceCollection services)
         {
-            services.AddScoped<IUnitOfWork, UnitOfWork>();
+            services.AddScoped<ICategoriesRepo, CategoriesRepo>();
+            services.AddScoped<ITeamRepo, TeamRepo>();
+            services.AddScoped<IQuestionRepo, QuestionRepo>();
+            services.AddScoped<IStudentRepo, StudentRepo>();
         }
 
@@ -147,4 +143,6 @@
                         services.AddScoped<IStorageService, AwsStorageService>();*/
         }
+
+        // TODO: ADD HANGFIRE AND SCAFOLD DB IN HANGFIREDB
     }
 
Index: src/FinkiChattery/FinkiChattery.Api/Startup.cs
===================================================================
--- src/FinkiChattery/FinkiChattery.Api/Startup.cs	(revision 79ae62142b33ae03175dade171a7f5e23c1424dc)
+++ src/FinkiChattery/FinkiChattery.Api/Startup.cs	(revision 81e1ed63dc82abe5e83cc7f2a71c977a8d12dec6)
@@ -35,15 +35,10 @@
             services.AddOriginUrlSettings();
             services.AddCurrentUser();
-            services.AddUnitOfWork();
+            services.AddRepos();
             services.AddAwsClient(Configuration);
             services.AddHangfireService(Configuration);
 
-            string connectionString = "DefaultConnection";
-#if DEBUG_DOCKER
-            connectionString = "DefaultConnectionDocker";
-#endif
-
             services.AddDbContext<ApplicationDbContext>(options =>
-                options.UseSqlServer(Configuration.GetConnectionString(connectionString)));
+                options.UseSqlServer(Configuration.GetConnectionString("DefaultConnection")));
 
             services.AddControllers()
Index: src/FinkiChattery/FinkiChattery.Commands/FinkiChattery.Commands.csproj
===================================================================
--- src/FinkiChattery/FinkiChattery.Commands/FinkiChattery.Commands.csproj	(revision 79ae62142b33ae03175dade171a7f5e23c1424dc)
+++ src/FinkiChattery/FinkiChattery.Commands/FinkiChattery.Commands.csproj	(revision 81e1ed63dc82abe5e83cc7f2a71c977a8d12dec6)
@@ -3,5 +3,4 @@
   <PropertyGroup>
     <TargetFramework>netcoreapp3.1</TargetFramework>
-    <Configurations>Debug;Release;Debug_Docker</Configurations>
   </PropertyGroup>
 
Index: src/FinkiChattery/FinkiChattery.Commands/Questioning/AskQuestion/AskQuestionCommand.cs
===================================================================
--- src/FinkiChattery/FinkiChattery.Commands/Questioning/AskQuestion/AskQuestionCommand.cs	(revision 79ae62142b33ae03175dade171a7f5e23c1424dc)
+++ src/FinkiChattery/FinkiChattery.Commands/Questioning/AskQuestion/AskQuestionCommand.cs	(revision 81e1ed63dc82abe5e83cc7f2a71c977a8d12dec6)
@@ -1,6 +1,7 @@
 ﻿using FinkiChattery.Common.Mediator.Contracs;
 using FinkiChattery.Common.User;
+using FinkiChattery.Persistence.Context;
 using FinkiChattery.Persistence.Models;
-using FinkiChattery.Persistence.UnitOfWork;
+using FinkiChattery.Persistence.Repositories;
 using System;
 using System.Collections.Generic;
@@ -26,17 +27,21 @@
     public class AskQuestionHandler : ICommandHandler<AskQuestionCommand, Guid>
     {
-        public AskQuestionHandler(IUnitOfWork unitOfWork, ICurrentUser currentUser)
+        public AskQuestionHandler(ApplicationDbContext dbContext, ICategoriesRepo categoriesRepo, IStudentRepo studentRepo, ICurrentUser currentUser)
         {
-            UnitOfWork = unitOfWork;
+            DbContext = dbContext;
+            CategoriesRepo = categoriesRepo;
+            StudentRepo = studentRepo;
             CurrentUser = currentUser;
         }
 
-        public IUnitOfWork UnitOfWork { get; }
+        public ApplicationDbContext DbContext { get; }
+        public ICategoriesRepo CategoriesRepo { get; }
+        public IStudentRepo StudentRepo { get; }
         public ICurrentUser CurrentUser { get; }
 
         public async Task<Guid> Handle(AskQuestionCommand request, CancellationToken cancellationToken)
         {
-            var questionCategories = await UnitOfWork.Categories.GetCategories(request.Categories);
-            var currentStudent = await UnitOfWork.Students.GetStudent(CurrentUser.Id);
+            var questionCategories = await CategoriesRepo.GetCategories(request.Categories);
+            var currentStudent = await StudentRepo.GetStudent(CurrentUser.Id);
 
             var questionDatabaseEntity = new Question()
@@ -55,6 +60,6 @@
             }
 
-            UnitOfWork.Questions.Add(questionDatabaseEntity);
-            await UnitOfWork.SaveAsync();
+            DbContext.Questions.Add(questionDatabaseEntity);
+            await DbContext.SaveChangesAsync();
             return questionDatabaseEntity.Uid;
         }
